### Home Classes Methods

### In Files

- lib/prawn/font/afm.rb

### Parent

Prawn::Font

### Methods

- ::metrics_path
- #bbox
- #encode_text
- #has_kerning_data?
- #normalize_encoding
- #unicode?

### Files

- COPYING
- HACKING
- LICENSE
- README

### Class/Module Index

Quicksearch

- Prawn
- Prawn::Core
- Prawn::Document
- Prawn::Document::Annotations
- Prawn::Document::BoundingBox
- Prawn::Document::ColumnBox
- Prawn::Document::Destinations
- Prawn::Document::GraphicsState
- Prawn::Document::Internals
- Prawn::Document::PageGeometry
- Prawn::Document::Snapshot
- Prawn::Encoding
- Prawn::Errors
- Prawn::Font
- Prawn::Font::AFM
- Prawn::Font::DFont
- Prawn::Font::TTF
- Prawn::Graphics
- Prawn::Graphics::CapStyle
- Prawn::Graphics::Color
- Prawn::Graphics::Dash
- Prawn::Graphics::JoinStyle
- Prawn::Graphics::Transformation
- Prawn::Graphics::Transparency
- Prawn::Images
- Prawn::Images::JPG
- Prawn::Images::PNG
- Prawn::Measurements
- Prawn::Outline
- Prawn::Stamp
- Prawn::Text
- Prawn::Text::Box
- Prawn::Text::LineWrap
- File
- Numeric

No matching classes.

# Prawn::Font::AFM

### Constants

BUILT_INS

### Public Class Methods

metrics_path() click to toggle source

    # File lib/prawn/font/afm.rb, line 22
    def self.metrics_path
      if m = ENV['METRICS']
        @metrics_path ||= m.split(':')
      else
        @metrics_path ||= [
          ".", "/usr/lib/afm",
          "/usr/local/lib/afm",
          "/usr/openwin/lib/fonts/afm/",
           Prawn::BASEDIR+'/data/fonts/']
      end
    end

### Public Instance Methods

bbox() click to toggle source

The font bbox, as an array of integers

    # File lib/prawn/font/afm.rb, line 61
    def bbox
      @bbox ||= @attributes['fontbbox'].split(/\s+/).map { |e| Integer(e) }
    end

encode_text(text, options={}) click to toggle source

Perform any changes to the string that need to happen before it is rendered to the canvas. Returns an array of subset "chunks", where each chunk is an array of two elements. The first element is the font subset number, and the second is either a string or an array (for kerned text).

For Adobe fonts, there is only ever a single subset, so the first element of the array is "0", and the second is the string itself (or an array, if kerning is performed).

The `text` parameter must be in WinAnsi encoding (cp1252).

    # File lib/prawn/font/afm.rb, line 105
    def encode_text(text, options={})
      [[0, options[:kerning] ? kern(text) : text]]
    end

has_kerning_data?() click to toggle source

Returns true if the font has kerning data, false otherwise

    # File lib/prawn/font/afm.rb, line 80
    def has_kerning_data?
      @kern_pairs.any?
    end

normalize_encoding(text) click to toggle source

built-in fonts only work with winansi encoding, so translate the string. Changes the encoding in-place, so the argument itself is replaced with a string in WinAnsi encoding.

    # File lib/prawn/font/afm.rb, line 88
    def normalize_encoding(text)
      enc = Prawn::Encoding::WinAnsi.new
      text.unpack("U*").collect { |i| enc[i] }.pack("C*")
    end

unicode?() click to toggle source

    # File lib/prawn/font/afm.rb, line 18
    def unicode?
      false
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.